<template>
  <div>
    <table>
      <thead>
      <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Status</th>
        <th>Actions</th>
      </tr>
      </thead>
      <tbody>
        <tr v-for="collaborator in collaborators" :key="collaborator.id.toString()">
          <td>{{ collaborator.id.toString() }}</td>
          <td>{{ collaborator.username.toString() }}</td>
          <td><span :class="statusClass(collaborator)">{{ collaborator.status.toString() }}</span></td>
          <td>
            <button v-on:click="$emit('deactivation_requested', { id: collaborator.id.toString() })" v-if="collaborator.activated()">Deactivate</button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
export default {
  name: 'CollaboratorList',
  props: {
    collaborators: Array
  },
  methods: {
    statusClass: (collaborator) => {
      return ['status', `status-${collaborator.status.toString()}`];
    },
  }
}
</script>

<style scoped>
table {
  width: 100%;
  box-shadow: 0 0 .2rem #ddd;
}

table th {
  background-color: #ddd;
  padding: 0.5rem;
}

table td {
  padding: 0.5rem;
}

.status {
  padding: 0.2rem 04rem;
  color: #fff;
  display: inline;
  width: auto;
}

.status-activated {
  background-color: #055f05;
  border: 1px solid #2c3e50;
}

.status-deactivated {
  background-color: #c60101;
  border: 1px solid #520404;
}

.status-deactivation_requested {
  background-color: #c65601;
  border: 1px solid #521f04;
}

</style>
